
GammaLib - Action #1046

Check that all container classes properly deallocate elements in the remove() method

12/18/2013 10:17 PM - Knödlseder Jürgen

Status: Closed Start date: 12/18/2013

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

Container classes now use the erase() function to remove elements, but the elements need to be deleted if the container holds

pointers. So all container classes should be checked for proper deleting of elements.

History

#1 - 12/18/2013 10:52 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

The following containers have been modified:

GFits

GObservations

GSkyRegions

GXmlNode

A delete statement has been added for all these classes to the remove() method(s).

#2 - 01/08/2014 05:53 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Estimated time set to 0.00
